package com.hw.dms.api.factory;

import com.hw.common.core.domain.R;
import com.hw.dms.api.RemoteDmsService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @ClassName : RemoteDmsFallbackFactory
 * @Description :ZHOUHY
 * @Author :
 * @Date: 2024-01-30 15:53
 */
public class RemoteDmsFallbackFactory implements FallbackFactory<RemoteDmsService> {
    @Override
    public RemoteDmsService create(Throwable throwable) {
       return new RemoteDmsService(){

           @Override
           public R<?> getDmsRepairInstance(String source, String planRepairId) {
               return null;
           }

           @Override
           public R<?> getDmsBillsInstance(String source, String dmsBillsInstanceId) {
               return null;
           }

           @Override
           public R<?> getDmsBillsLube(String source, String planInspectId) {
               return null;
           }

           @Override
           public R<?> getDmsBillsMaintInstance(String source, String planMaintCode) {
               return null;
           }
       };
    }
}
